<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<ViewInformation<IEnumerable<EventStatisticItem>>>" %>
<%@ Import Namespace="EPiServer.Samples.EventsMonitor.Cms6.Models" %>
<%@ Import Namespace="EPiServer.Shell.Web.Mvc.Html" %>
<div id="StatisticsDiv" class="epi-contentArea epi-padding">
    <table>
        <thead>
            <tr>
                <th scope="col" class="epi-width30">
                    Event Name
                </th>
                <th scope="col" class="epi-width30">
                    Description
                </th>
                <th scope="col" class="epi-width10">
                    Raised
                </th>
                <th scope="col" class="epi-width10">
                    Missed
                </th>
                <th scope="col" class="epi-width10">
                    Sent Out
                </th>
                <th scope="col" class="epi-width10">
                    Received In
                </th>
            </tr>
        </thead>
        <tbody>
            <%foreach (var stat in this.Model.SubModel)
              { %>
            <tr>
                <td>
                    <%=stat.Name%>
                </td>
                <td>
                    <%=stat.Description%>
                </td>
                <td>
                    <%=stat.RaisedCount%>
                </td>
                <td>
                    <%=stat.MissedCount%>
                </td>
                <td>
                    <%=stat.SentOutCount%>
                </td>
                <td>
                    <%=stat.ReceivedInCount%>
                </td>
            </tr>
            <%} %>
        </tbody>
    </table>
</div>
