<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<ViewInformation>" %>
<%@ Import Namespace="EPiServer.Shell.Web.Mvc.Html" %>
<%@ Import Namespace="EPiServer.Samples.EventsMonitor.Cms6.Models" %>
<div class="epi-formArea epi-padding">
    <%= Html.SetGadgetFeedback(Model.FeedbackMessage, false, TimeSpan.FromMilliseconds(Model.ShowFeedbackMilliseconds), true) %>
    <% Html.BeginGadgetForm("ChangeView");%>
    <% =Html.LabeledDropDownList("ViewName", "View:", null, new { @class = "epi-size10" }, new { @class = "epi-size5" })%>
    <% Html.EndForm(); %>
</div>
<div id="CurrentView">
    <%        
        switch (Model.CurrentView)
        {
            case EPiServer.Samples.EventsMonitor.Cms6.Models.ViewType.Status:
                Html.RenderPartial("Status", Model);
                break;

            case EPiServer.Samples.EventsMonitor.Cms6.Models.ViewType.Test:
                Html.RenderPartial("Test", Model);
                break;

            case EPiServer.Samples.EventsMonitor.Cms6.Models.ViewType.Statistics:
                Html.RenderPartial("Statistics", Model);
                break;
        }
    %>
</div>
