<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<ViewInformation<IEnumerable<TestEventData>>>" %>
<%@ Import Namespace="EPiServer.Samples.EventsMonitor.Common" %>
<%@ Import Namespace="EPiServer.Samples.EventsMonitor.Cms6.Models" %>
<%@ Import Namespace="EPiServer.Shell.Web.Mvc.Html" %>
<div id="EventsReceivedDiv" class="epi-formArea epi-padding">
    <fieldset>
        <legend>Test Events Received</legend>
        <div class="epi-contentArea">
        <table>
            <thead>
                <tr>
                    <th>
                        Time Received
                    </th>
                    <th>
                        From
                    </th>
                    <th>
                        Computer
                    </th>
                    <th>
                        Message
                    </th>
                </tr>
            </thead>
            <tbody>
                <%
                    foreach (var item in Model.SubModel)
                    {
                %>
                <tr>
                    <td>
                        <%=item.ReceivedTime%>
                    </td>
                    <td>
                        <%=item.UserName%>
                    </td>
                    <td>
                        <%=item.ComputerName%>
                    </td>
                    <td>
                        <%=item.Message%>
                    </td>
                </tr>
                <%
                    }
                %>
            </tbody>
        </table>
        </div>
    </fieldset>
</div>
